{% extends 'base.html' %}
{% load static %}
{% block content %}
    <div class="container">
        {% if message_error %}
        <div class="row">
            <div class="col-md-12">
                    <div class="alert alert-danger" role="alert">
                        {{ message_error }}
                    </div>
            </div>
        </div>
        {% else %}
        <div class="card text-center">
            <div class="card-header">
              <ul class="nav nav-pills card-header-pills">
                <li class="nav-item">
                  <a class="nav-link active" href="#">Лекции</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link disabled" href="{% url 'practice_learn_data' course_id %}">Практики</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link disabled" href="#">ИИ</a>
                </li>
              </ul>
            </div>
          </div>

          {% for lecture in lectures %}
            <div class="card text-white dark mt-2">
                <div class="card-header" style="color: black;"><p class="lead font-weight-bold"> {{ lecture}} </p> </div>
                <div class="card-body body-course">
                     <p class="card-text"> 
                          <button type="submit" class="col-md-4"> 
                              <a href="{% url 'lecture_read_info' lecture.pk %}" class="show-text">  Просмотр  </a> 
                          </button>
                     </p>
                </div>
            </div>
          {% endfor %}
        {% endif %}
    </div>
    <script type="text/javascript">
      let bodyLectures = document.querySelectorAll(".body-course")
      bodyLectures.forEach((lecture) => {
          let lectureText = lecture.querySelector(".show-text")
          lecture.addEventListener('click', (event) => {
              window.location.href = lectureText.href
          })
      })
  </script>
{% endblock content %}
